[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#265636: Errata alternative and patch



Hi,

As I posted on d-boot, I think you can work around this problem by
editing cdrom-detect.postinst script.

I attache equivalent action patch here.

-- 
~\^o^/~~~ ~\^.^/~~~ ~\^*^/~~~ ~\^_^/~~~ ~\^+^/~~~ ~\^:^/~~~ ~\^v^/~~~ +++++
        Osamu Aoki <osamu@debian.org>  Brussels Belgium, GPG-key: A8061F32
 .''`.  Debian Reference: post-installation user's guide for non-developers
 : :' : http://qref.sf.net and http://people.debian.org/~osamu
 `. `'  "Our Priorities are Our Users and Free Software" --- Social Contract

--- cdrom-detect.postinst.old	2004-07-02 02:23:52.000000000 +0200
+++ cdrom-detect.postinst	2004-08-16 02:33:38.000000000 +0200
@@ -40,6 +40,10 @@
     fi
     for device in $devices
     do
+        # since some buggy CDROM drive caused initial mount problem
+        # just blindly mount and umount first to avoid issues.
+        mount -t iso9660 -o ro,exec $device /cdrom || true
+        umount /cdrom 2>/dev/null || true
         if mount -t iso9660 -o ro,exec $device /cdrom; then
             log "CDROM-mount succeeded: device=$device"
             mounted=1
@@ -49,18 +53,6 @@
             log "CDROM-mount failed (error=$?): device=$device"
             log "Unmounting CD just to be sure."
             umount /cdrom 2>/dev/null || true
-            log "Trying it again."
-            if mount -t iso9660 -o ro,exec $device /cdrom
-            then
-                log "CDROM-mount succeeded: device=$device"
-                mounted=1
-                db_set cdrom-detect/cdrom_device $device
-                break
-            else
-                log "CDROM-mount failed again (error=$?): device=$device"
-                log "Unmounting CD just to be sure and giving it up."
-                umount /cdrom 2>/dev/null || true
-            fi
         fi
     done
 

Reply to: